LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDrawPageSummarizer Interface Referencepublished

is implemented by documents that can create summaries of their DrawPages. More...

`import "XDrawPageSummarizer.idl";`

Inheritance diagram for XDrawPageSummarizer:

## Public Member Functions
com::sun::star::drawing::XDrawPage | summarize ([in] com::sun::star::drawing::XDrawPages xPages)
| creates a new DrawPage with a summary of all DrawPages in the given collection.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is implemented by documents that can create summaries of their DrawPages.

Deprecated

## Member Function Documentation

## ◆ summarize()

com::sun::star::drawing::XDrawPage summarize | ( | [in] com::sun::star::drawing::XDrawPages | xPages | ) |

creates a new DrawPage with a summary of all DrawPages in the given collection.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawPageSummarizer.idl